package cz.zcu.mjaneck.bak_prace.data;

/**
 * Třída pro reprezentaci naměřené hodnoty a jejího času zaznamenání
 */
public class ChartData {
    /** Čas zaznamenání */
    private Number xData;
    /** Naměřená hodnota */
    private Number yData;

    /**
     * Prázdný konstruktor kvůli deserializaci
     */
    public ChartData () {
        //skutečně prázný
    }

    /**
     * Konstruktor
     * @param xData - čas zaznamenání
     * @param yData - naměřená hodnota
     */
    public ChartData(Number xData, Number yData) {
        this.xData = xData;
        this.yData = yData;
    }

    /**
     * Vrátí čas zaznamenání
     * @return -  čas zaznamenání
     */
    public Number getxData() {
        return xData;
    }

    /**
     * Vrátí naměřenou hodnotu
     * @return - naměřená hodnota
     */
    public Number getyData() {
        return yData;
    }

}
